axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From p...@apache.org
Subject svn commit: r429586 - in /webservices/axis2/trunk/c/guththila: autogen.sh build.sh
Date Tue, 08 Aug 2006 05:25:12 GMT
Author: pini
Date: Mon Aug  7 22:25:12 2006
New Revision: 429586

URL: http://svn.apache.org/viewvc?rev=429586&view=rev
Log:
added autogen and build script to guththila build system

Added:
    webservices/axis2/trunk/c/guththila/autogen.sh   (with props)
    webservices/axis2/trunk/c/guththila/build.sh   (with props)

Added: webservices/axis2/trunk/c/guththila/autogen.sh
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/guththila/autogen.sh?rev=429586&view=auto
==============================================================================
--- webservices/axis2/trunk/c/guththila/autogen.sh (added)
+++ webservices/axis2/trunk/c/guththila/autogen.sh Mon Aug  7 22:25:12 2006
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+echo -n 'Running libtoolize...'
+if libtoolize --force > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running aclocal...'
+if aclocal > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoheader...'
+if autoheader > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoconf...'
+if autoconf > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running automake...'
+if automake --add-missing > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo 'done'

Propchange: webservices/axis2/trunk/c/guththila/autogen.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: webservices/axis2/trunk/c/guththila/build.sh
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/guththila/build.sh?rev=429586&view=auto
==============================================================================
--- webservices/axis2/trunk/c/guththila/build.sh (added)
+++ webservices/axis2/trunk/c/guththila/build.sh Mon Aug  7 22:25:12 2006
@@ -0,0 +1,4 @@
+./autogen.sh
+./configure --prefix=${AXIS2C_HOME} --with-axis2_util=${AXIS2C_HOME}/include
+make
+make install

Propchange: webservices/axis2/trunk/c/guththila/build.sh
------------------------------------------------------------------------------
    svn:executable = *



---------------------------------------------------------------------
To unsubscribe, e-mail: axis-cvs-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-cvs-help@ws.apache.org


Mime
View raw message